/*
Theme Name:     Studio Fifty Child Theme
Theme URI:      http://themeforest.net/user/Softwebmedia/portfolio
Description:    Studio Fifty Child Theme for customization
Author:         Soft Web Media
Author URI:     http://themeforest.net/user/Softwebmedia
Template:       studio-fifty
Version: 		1.00
*/

/* Decals */
.ch_decal_color_1 img {
	filter: invert(34%) sepia(44%) saturate(552%) hue-rotate(133deg) brightness(96%) contrast(90%);
}

.ch_decal_color_2 img {
	filter: invert(38%) sepia(41%) saturate(6962%) hue-rotate(159deg) brightness(95%) contrast(101%);
}

.ch_decal_color_3 img {
	filter: invert(86%) sepia(10%) saturate(2799%) hue-rotate(148deg) brightness(85%) contrast(89%);
}

.ch_decal_color_4 img {
	filter: invert(46%) sepia(70%) saturate(3062%) hue-rotate(346deg) brightness(95%) contrast(99%);
}

.ch_decal_color_5 img {
	filter: invert(67%) sepia(23%) saturate(737%) hue-rotate(85deg) brightness(101%) contrast(86%);
}

.ch_decal_color_6 img {
	filter: invert(85%) sepia(99%) saturate(5635%) hue-rotate(320deg) brightness(100%) contrast(100%);
}

.ch_asterix_pseudo {
    display: flex;
    gap: 20px;
}

.ch_asterix_pseudo > .e-child {
    flex: 0 1 auto
}

.ch_asterix_pseudo .elementor-heading-title {
    width: 100%;
	min-width: 450px
}

.ch_asterix_pseudo_2 {
	margin-top: 90px;
}

.ch_asterix_pseudo_4 {
	margin-top: 133px;
}

.ch_asterix_pseudo_1 .elementor-heading-title, .ch_asterix_pseudo_2 .elementor-heading-title {
	text-align: right;
}

.ch_asterix_pseudo_1 .elementor-heading-title::before, .ch_asterix_pseudo_2 .elementor-heading-title::before {
	content: "";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 95px;
    height: 95px;    
    mask: url('/development/cedarhouse/wp-content/uploads/2026/02/cedar_house_asterisk.svg') no-repeat center;
    mask-size: contain;
    -webkit-mask: url('/development/cedarhouse/wp-content/uploads/2026/02/cedar_house_asterisk.svg') no-repeat center;
    -webkit-mask-size: contain;
}

.ch_asterix_pseudo_3 .elementor-heading-title::before, .ch_asterix_pseudo_4 .elementor-heading-title::before {
	content: "";
    position: absolute;
    left: 385px;
    top: 50%;
    transform: translateY(-50%);
    width: 95px;
    height: 95px;    
    mask: url('/development/cedarhouse/wp-content/uploads/2026/02/cedar_house_asterisk.svg') no-repeat center;
    mask-size: contain;
    -webkit-mask: url('/development/cedarhouse/wp-content/uploads/2026/02/cedar_house_asterisk.svg') no-repeat center;
    -webkit-mask-size: contain;
}

.ch_asterix_pseudo_3 .elementor-heading-title, .ch_asterix_pseudo_4 .elementor-heading-title {
	text-align: left;
}

.ch_asterix_pseudo_1 .elementor-heading-title::before {
	background-color: #2A6F71;
}

.ch_asterix_pseudo_2 .elementor-heading-title::before {
	background-color: #00928F;
}

.ch_asterix_pseudo_3 .elementor-heading-title::before {
	background-color: #2A6F71;
}

.ch_asterix_pseudo_4 .elementor-heading-title::before {
	background-color: #00928F;
}

/* Display */
.ch_subject_choices, .ch_subject_choices_responsive {
	display: none;	
}

.ch_learning_that_grows, .ch_learning_that_grows_responsive {
	display: none;	
}

/* Explore Links */
.ch_explore_link .elementor-image-box-title span {
	font-weight: 300;
	color: #101F3E
}

/* Header */
#swm-sticky-header {
	box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08);
}

/* High School */
.page-id-11614 #content {
	padding-bottom: 0
}

.ch_life_beyond_school .elementor-image-box-content .elementor-image-box-title, .ch_life_beyond_school .elementor-image-box-content .elementor-image-box-description {
	line-height: 1
}

/* Media Queries */
@media only screen and (min-width: 1656px) {
	.desktop .ch_footer_contact li:last-of-type .mk-icon-wrapper {
		display: none
	}
}

@media only screen and (max-width: 1655px) {
	.desktop .ch_footer_contact li:last-of-type .mk-icon-list-text {
		display: none
	}
}

@media only screen and (min-width: 1601px) {
	.ch_subject_choices, .ch_learning_that_grows {
		display: flex!important;	
	}
}

@media only screen and (min-width: 1025px) and (max-width: 1600px) {
	.ch_subject_choices_responsive, .ch_learning_that_grows_responsive {
		display: flex;	
	}
}

@media only screen and (max-width: 1450px) {
	.ch_asterix_pseudo .elementor-heading-title {
		width: 100%;
		min-width: 390px
	}
	
	.ch_asterix_pseudo_3 .elementor-heading-title::before, .ch_asterix_pseudo_4 .elementor-heading-title::before {
		left: 230px
	}
	
	span.ch_break_mobile {
		display: block!important;
		margin-right: 0!important;
	}
}

@media only screen and (max-width: 1350px) {
	.cd_clamp_text h2 {
		font-size: clamp(0.5rem, 10vw, 80px)!important;
	}
}

@media only screen and (max-width: 1300px) {
	.ch_hide_the_sun {
		background-image: none!important;
	}
}

@media only screen and (min-width: 1025px) and (max-width: 1300px) {
	.ch_asterix_pseudo .elementor-heading-title {
		min-width: auto;	
	}
	
	.ch_asterix_pseudo .elementor-heading-title::before {
		content: none
	}
}

@media only screen and (min-width: 1025px) {
	.cd_clamp_text_2 h2 {
		font-size: clamp(0.5rem, 7vw, 120px)!important;
	}
	
	.cd_clamp_text_3 h2 {
        font-size: clamp(0.5rem, 7vw, 110px) !important;
    }
	
	.ch_speech_bubble::before, .ch_speech_bubble_2::before {
		content: '';
		position: absolute;
		left: -35px;
		top: 50%;
		transform: translateY(-50%);
		width: 0;
		height: 0;
		border-top: 40px solid transparent;
		border-bottom: 40px solid transparent;
		border-right: 50px solid #F15A22;
	}
	
	.ch_speech_bubble_2::before {
		border-right: 50px solid #FFCC44!important;
	}
}

@media only screen and (max-width: 1024px) {
	.ch_tabs_slider .swiper-pagination {
		display: none!important
	}
	
	.ch_subject_choices, .ch_learning_that_grows {
		display: flex;	
	}
	
	.cd_clamp_text h2 {
		font-size: clamp(0.5rem, 10vw, 120px)!important;
	}
}

@media only screen and (max-width: 767px) {
	.cd_hide_the_heart {
		background-image: none!important;
	}
}

@media only screen and (max-width: 465px) {
	.ch_explore_link .elementor-image-box-title {
		font-size: clamp(0.5rem, 10vw, 120px)!important;	
	}
}

@media only screen and (max-width: 439px) {
	#swm-header [data-element_type="container"], #swm-sticky-header  [data-element_type="container"] {
		justify-content: center;
	}
	
	#swm-header [data-element_type="widget"], #swm-sticky-header  [data-element_type="widget"] {
		text-align: center;
	}
}

/* Misc */
.ch_list_first_heading ul li:first-child {
	margin-bottom: 20px;
}

.ch_list_first_heading ul li:first-child .elementor-icon-list-icon {
	display: none
}

.ch_list_first_heading ul li:first-child .elementor-icon-list-text {
	font-size: 32px!important;
	text-transform: uppercase;
	font-weight: 800!important
}

span.ch_break_mobile {
  display: inline;
  margin-right: 10px;
}

.ch_center_subtitle_mobile .mk-title-subtitle {
	justify-content: center;
}

/* Prep School */
.page-id-11612 #content {
	padding-bottom: 0
}

/* Sliders */
.ch_slider_mobile .swiper .elementor-image-carousel.swiper-wrapper a:first-of-type {
	padding: 0!important
}

.ch_tabs_slider .mk-tabs-slider-img {
	background-size: contain!important;
	background-repeat: no-repeat
}

.ch_tabs_slider .mk-tabs-slider-title {
	display: none
}

.ch_tabs_slider .mk-tabs-slider-item-link {
	display: block
}

.ch_tabs_slider .mk-tabs-slider-holder .swiper-pagination {
	background: #E5E6E2!important
}

.ch_tabs_slider .mk-tabs-slider-holder .swiper-pagination:before, .ch_tabs_slider .mk-tabs-slider-holder .swiper-pagination:after {
	box-shadow: 0 20px 0 0 #E5E6E2
}

.ch_tabs_slider .swiper-pagination-bullet .mk-tabs-slider-thumb-image span {
	display: none
}

.ch_tabs_slider .mk-tabs-slider-holder .swiper-pagination-bullets .swiper-pagination-bullet.swiper-pagination-bullet-active {
	border-radius: 10px!important
}

/* Text */
.cd_clamp_text h2 {
	white-space: nowrap
}

.ch_span_font_weight span {
	font-weight: 800
}